
From: James Bottomley <James.Bottomley@steeleye.com>

It looks like the do_fork was converted in voyager_smp.c, but the addition of
wake_up_forked_process() was missed leading to a boot panic.  The attached
fixes it.



 arch/i386/mach-voyager/voyager_smp.c |    1 +
 1 files changed, 1 insertion(+)

diff -puN arch/i386/mach-voyager/voyager_smp.c~voyager-do_fork-fix arch/i386/mach-voyager/voyager_smp.c
--- 25/arch/i386/mach-voyager/voyager_smp.c~voyager-do_fork-fix	2003-05-22 01:18:08.000000000 -0700
+++ 25-akpm/arch/i386/mach-voyager/voyager_smp.c	2003-05-22 01:18:08.000000000 -0700
@@ -595,6 +595,7 @@ do_boot_cpu(__u8 cpu)
 
 	wake_up_forked_process(idle);
 
+	wake_up_forked_process(idle);
 	init_idle(idle, cpu);
 
 	idle->thread.eip = (unsigned long) start_secondary;

_
